---
run_gitinfos: false

# Set to true to allow pre-checks to fail and continue deployment
ignore_assert_errors: false

epel_enabled: false
dns_late: false

common_required_pkgs:
  - python-httplib2
  - "{{ (ansible_distribution == 'openSUSE Tumbleweed') | ternary('openssl-1_1', 'openssl') }}"
  - curl
  - rsync
  - bash-completion
  - socat
  - unzip
  - e2fsprogs
  - xfsprogs

# Set to true if your network does not support IPv6
# This maybe necessary for pulling Docker images from
# GCE docker repository
disable_ipv6_dns: false

kube_cert_group: kube-cert
kube_config_dir: /etc/kubernetes
kube_cert_dir: "{{ kube_config_dir }}/pki"

# Container Linux by CoreOS cloud init config file to define /etc/resolv.conf content
# for hostnet pods and infra needs
resolveconf_cloud_init_conf: /etc/resolveconf_cloud_init.conf

# All inventory hostnames will be written into each /etc/hosts file.
populate_inventory_to_hosts_file: true

preinstall_selinux_state: permissive

sysctl_file_path: "/etc/sysctl.d/99-sysctl.conf"

etc_hosts_localhost_entries:
  127.0.0.1:
    expected:
      - localhost
      - localhost.localdomain
  ::1:
    expected:
      - localhost6
      - localhost6.localdomain
    unexpected:
      - localhost
      - localhost.localdomain
